Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
shopping
/
analyses
List shopping analyses
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/shopping/analyses \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "platforms": [
      "OpenAI"
    ],
    "country": "<string>",
    "brand": "<string>",
    "category": "<string>",
    "is_archived": true,
    "archived_at": "2023-11-07T05:31:56Z",
    "collect_end_date": "2023-12-25",
    "language": "ar"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

include_email
boolean

Include email of the shopping analysis creator if True.

Response

200 - application/json

List of shopping analyses.

id
string<uuid>
required
read-only
organization_id
string<uuid>
required
workspace_id
string<uuid>
required
created_by
string<uuid>
required
name
string
required
Maximum string length: 255
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
platforms
enum<string>[]
  • OpenAI - OpenAI
  • Google AI - Google AI
  • Google AI Mode - Google AI Mode
  • Meta AI - Meta AI
  • Anthropic - Anthropic
  • DeepSeek - DeepSeek
  • Mistral - Mistral
  • Perplexity - Perplexity
  • Amazon - Amazon
Available options:
OpenAI,
Google AI,
Google AI Mode,
Meta AI,
Anthropic,
DeepSeek,
Mistral,
Perplexity,
Amazon
country
string
Maximum string length: 255
brand
string
Maximum string length: 255
category
string
Maximum string length: 255
is_archived
boolean
archived_at
string<date-time> | null
collect_end_date
string<date> | null
language
enum<string>
  • ar - ar
  • da - da
  • de - de
  • en - en
  • es - es
  • eu - eu
  • fi - fi
  • fil - fil
  • fr - fr
  • he - he
  • hi - hi
  • hu - hu
  • id - id
  • it - it
  • ja - ja
  • ko - ko
  • nl - nl
  • pl - pl
  • pt - pt
  • ro - ro
  • sv - sv
  • th - th
  • tr - tr
  • ur - ur
  • vi - vi
  • zh - zh
  • zh-TW - zh TW
Available options:
ar,
da,
de,
en,
es,
eu,
fi,
fil,
fr,
he,
hi,
hu,
id,
it,
ja,
ko,
nl,
pl,
pt,
ro,
sv,
th,
tr,
ur,
vi,
zh,
zh-TW,